[Rozwiązane] Brak kompatybilności Gutenberg Blocks w Woocommerce z wtyczkami Przelewy24 / Inpost od WPDesk

Od 16.11.2023. r. WooCommerce (od wersji 8.3.0) nastąpiły pewne zmiany. Sklepy internetowe rozpoczynające korzystające z wtyczki Woocommerce po tej dacie będą korzystać już z nowego wyglądu stron koszyka czy zamówienia. Od tej wersji domyślnie te strony zbudowane są z bloków Gutenberga. Niestety koszyk oparty o Gutenberg Blocks jest niekompatybilny z wtyczką InPost od WP Desk oraz oficjalną wtyczką do bramki płatności Przelewy24.

Aby umożliwić działanie obu wtyczek należy powrócić do starej wersji wyglądu strony koszyka, należy przejść kilka kroków:

  1. Po zalogowaniu do panelu WordPress, przechodzisz do zakładki “Strony”
  2. Odnajdujesz na liście stronę “koszyka” oraz “zamówienia”.
  3. Klikasz “edytuj”.
  4. Usuwasz bloki Gutenberga, które tam się znajdują.
  5. Dodajesz “plusikiem” blok o nazwie “shortcode” i wklejasz następujący kod:

W zakładce koszyka:

[woocommerce_cart]

Strona Twojego koszyka powinna wyglądać tak:

woocommerce edytor blokowy koszyk błąd infoblogerka

W zakładce zamówienia:

[woocommerce_checkout]

Strona Twojego zamówienia powinna wyglądać tak:

woocommerce edytor blokowy checkout zamowienie błąd infoblogerka

Zmiany te oznaczają powrót do poprzedniej działającej wersji tych konkretnych podstron, a co za tym idzie koszyk staje się komptybilny z wtyczkami bramki płatności oraz paczkomatów. Należy z nich korzystać do momentu zaktualizowania wtyczek.

Jeśli jednak wiesz, że nie poradzisz sobie z podmianą tego i wolisz oddać to zadanie innym — jesteś w dobrym miejscu. Z chęcią Ci pomogę – wystarczy, że do mnie napiszesz! Sprawdź też godziny rozwojowe, które możesz u mnie wykupić tutaj:

infoblogerka
infoblogerka

Dodaj komentarz

Twój adres e-mail nie zostanie opublikowany. Wymagane pola są oznaczone *